%define upstream_name    CatalystX-Component-Traits
%define upstream_version 0.19

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 10

Summary:    Automatic Trait Loading and Resolution for
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/CatalystX/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Catalyst::Runtime)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(Module::Pluggable)          >= 3.900.0
BuildRequires: perl(Moose::Autobox)
BuildRequires: perl(MooseX::Traits::Pluggable)
BuildRequires: perl(Test::More)
BuildRequires: perl(namespace::autoclean)
BuildArch: noarch

Requires: perl(MooseX::Traits::Pluggable)

%{?perl_default_filter}

%description
Adds a the Catalyst::Component/COMPONENT manpage method to your the
Catalyst manpage component base class that reads the optional 'traits'
parameter from app and component config and instantiates the component
subclass with those traits using the MooseX::Traits/new_with_traits manpage
from the MooseX::Traits::Pluggable manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc README Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.190.0-10.mga10
+ Revision: 2197744
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.190.0-9.mga9
+ Revision: 1802239
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.190.0-8.mga8
+ Revision: 1493467
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.190.0-7.mga7
+ Revision: 1265978
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.190.0-6.mga6
+ Revision: 1023410
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.190.0-5.mga6
+ Revision: 944216
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.190.0-4.mga5
+ Revision: 750949
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.190.0-3.mga5
+ Revision: 732902
- add exclude
+ umeabot <umeabot>
- Mageia 5 Mass Rebuild

* Sun Feb 09 2014 sander85 <sander85> 0.190.0-1.mga5
+ Revision: 587548
- update to 0.19

* Fri Oct 18 2013 umeabot <umeabot> 0.160.0-3.mga4
+ Revision: 509975
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.160.0-2.mga3
+ Revision: 364157
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 0.160.0-1.mga1
+ Revision: 40329
- mageia rebuild
- imported package perl-CatalystX-Component-Traits


* Sat Aug 28 2010 Jérôme Quelin <jquelin@mandriva.org> 0.160.0-1mdv2011.0
+ Revision: 573790
- update to 0.16

* Sun Nov 08 2009 Jérôme Quelin <jquelin@mandriva.org> 0.140.0-1mdv2011.0
+ Revision: 462864
- update to 0.14

* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 0.120.0-1mdv2010.1
+ Revision: 461727
- update to 0.12

* Sat Aug 29 2009 Jérôme Quelin <jquelin@mandriva.org> 0.100.0-1mdv2010.0
+ Revision: 422083
- update to 0.10

* Thu Aug 27 2009 Jérôme Quelin <jquelin@mandriva.org> 0.90.0-1mdv2010.0
+ Revision: 421618
- update to 0.09

* Tue Aug 04 2009 Jérôme Quelin <jquelin@mandriva.org> 0.80.0-1mdv2010.0
+ Revision: 409025
- adding missing buildrequires:
- update to 0.08
- update to 0.06

* Fri Jul 17 2009 Jérôme Quelin <jquelin@mandriva.org> 0.40.0-1mdv2010.0
+ Revision: 396754
- update to 0.04
- fixed license field

* Sat Jun 27 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.30.0-2mdv2010.0
+ Revision: 390075
- fix dependencies

* Sun Jun 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.30.0-1mdv2010.0
+ Revision: 387917
- import perl-CatalystX-Component-Traits


* Sun Jun 21 2009 cpan2dist 0.03-1mdv
- initial mdv release, generated with cpan2dist

